| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDirtyAccessArrayRefCounted< T, ElementHandler > Class Template Reference

A variant of csDirtyAccessArray with reference-counted contents. More...

`#include <csutil/dirtyaccessarray.h>`

Inheritance diagram for csDirtyAccessArrayRefCounted< T, ElementHandler >:

[legend]
List of all members.

## Public Member Functions
| csDirtyAccessArrayRefCounted (int ilimit=0, int ithreshold=0)
void | DecRef ()
| Reference counting. Delete array contents when reference reaches 0.
void | IncRef ()
| Reference counting.

## Detailed Description

### template<class T, class ElementHandler = csArrayElementHandler<T>>
class csDirtyAccessArrayRefCounted< T, ElementHandler >

A variant of csDirtyAccessArray with reference-counted contents.

That is, when the reference count of the array drops to 0, it's contents are deleted (however, not the array object itself).

Definition at line 98 of file dirtyaccessarray.h.

## Member Function Documentation

template<class T, class ElementHandler = csArrayElementHandler<T>>

void csDirtyAccessArrayRefCounted< T, ElementHandler >::DecRef | ( |  | ) | `[inline]`

Reference counting. Delete array contents when reference reaches 0.

Definition at line 112 of file dirtyaccessarray.h.

References csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::DeleteAll().

template<class T, class ElementHandler = csArrayElementHandler<T>>

void csDirtyAccessArrayRefCounted< T, ElementHandler >::IncRef | ( |  | ) | `[inline]`

Reference counting.

Definition at line 109 of file dirtyaccessarray.h.

The documentation for this class was generated from the following file:

- csutil/dirtyaccessarray.h